Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}


Name:           nodejs-object-dot-assign
Version:        4.1.0
Release:        alt1_1
Summary:        An Object.assign shim

License:        MIT
URL:            https://www.npmjs.com/package/object.assign
Source0:        https://registry.npmjs.org/object.assign/-/object.assign-%{version}.tgz
BuildArch:      noarch

BuildRequires:  rpm-build-nodejs node-devel

BuildRequires:  npm(tape)
BuildRequires:  npm(define-properties)
BuildRequires:  npm(function-bind)
BuildRequires:  npm(has-symbols)
BuildRequires:  npm(object-keys)
Source44: import.info


%description
An Object.assign shim. Invoke its "shim" method to shim Object.assign
if it is unavailable.

This package implements the es-shim API interface. It works in an
ES3-supported environment and complies with the spec. In an ES6
environment, it will also work properly with Symbols.


%prep
%setup -q -n package

rm -rf node_modules


%build


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/object.assign
cp -pr package.json index.js implementation.js polyfill.js shim.js %{buildroot}%{nodejs_sitelib}/object.assign
%nodejs_symlink_deps


%check
%nodejs_symlink_deps --check
%__nodejs test/index.js
%__nodejs test/shimmed.js


%files
%doc --no-dereference LICENSE
%doc README.md CHANGELOG.md
%{nodejs_sitelib}/object.assign


%changelog
* Thu Mar 28 2019 Igor Vlasenko <viy@altlinux.ru> 4.1.0-alt1_1
- new version

